Download it now!
Bug 50986 - CRASH in menu Tools - Options
Summary: CRASH in menu Tools - Options
Status: RESOLVED DUPLICATE of bug 51143
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.6.0.0.alpha1
Hardware: Other Windows (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-11 19:10 UTC by John
Modified: 2012-06-22 11:01 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot shows error after having just clicked Tools|Options in Impress. (406.13 KB, image/jpeg)
2012-06-11 19:10 UTC, John
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John 2012-06-11 19:10:22 UTC
Created attachment 62908 [details]
Screenshot shows error after having just clicked Tools|Options in Impress.

Problem description: Options|Tools causes crash. Program is installed in parallel with LO 3.5.4.2. Have always been able to test dev versions without difficulty even when installed alongside production version. JRE properly installed.

Steps to reproduce:
1. ....as above
2. ....doesn't matter which module...writer, impress...
3. ....see screenshot. 

Current behavior: as described. Crash.

Expected behavior: I want to get into Options.

Platform (if different from the browser): Win7 x64
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20100101 Firefox/14.0
Comment 1 Rainer Bielefeld Retired 2012-06-11 21:04:40 UTC
NOT reproducible with Server Installation of "LibreOffice 3.6.0beta1  German UI/Locale [Build-ID: 1f1cdd8] on German WIN7 Home Premium (64bit)
Comment 2 Julien Nabet 2012-06-13 14:14:16 UTC
I wonder if it's not a dup or related bug with fdo#47044. If it is, the bug may be already fixed
Just for the test, could you try to install 3.6.0 beta1 (see http://www.libreoffice.org/download/pre-releases/) ?

If it's ok, you must know that the fix has been backported to 3.5.5 which should be released at the beginning of July (see http://wiki.documentfoundation.org/ReleasePlan/3.5#3.5.5_release).
For your information 3.6.0 should be released at the beginning of August (http://wiki.documentfoundation.org/ReleasePlan/3.6#3.6.0_release)
Comment 3 Chris Brooker 2012-06-15 03:52:56 UTC
I have just downloaded 3.6 Beta 1 and I'm experiencing the same issue. OS is Win7 x64 English. Like original poster LO 3.5.4.2 installed as well and it works fine.
Comment 4 Julien Nabet 2012-06-15 04:37:50 UTC
Thank you for the test Chris.

Could you try again with a brand new LibreOffice profile (see http://wiki.documentfoundation.org/UserProfile) ? Think to backup the directory, don't remove it since it could be a duplicate of fdo#43489.
Comment 5 John 2012-06-15 05:11:09 UTC
Renaming the user profile did not resolve the problem.


bugzilla-daemon@freedesktop.org wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=50986
>
> --- Comment #4 from Julien Nabet <serval2412@yahoo.fr> 2012-06-15 04:37:50 PDT ---
> Thank you for the test Chris.
>
> Could you try again with a brand new LibreOffice profile (see
> http://wiki.documentfoundation.org/UserProfile) ? Think to backup the
> directory, don't remove it since it could be a duplicate of fdo#43489.
>
Comment 6 Chris Brooker 2012-06-16 18:14:24 UTC
Same as for John I tried renaming the LOdev profile folder but still crashes when trying to open Tools/Options. I don't use a proxy so I don't think the problem is related to bug fdo#47044. I'll try uninstalling all instances of Java and test again.
Comment 7 Chris Brooker 2012-06-16 21:28:55 UTC
I tried uninstalling all copies of Java but LibreOffice still crashes when clicking on Tools/Options. As an experiment I also installed LO 3.6 Beta 1 in my Win XP VirtualBox VM and it does exactly the same thing.
Comment 8 Rainer Bielefeld Retired 2012-06-16 22:05:54 UTC
@bfoman
Do you see a possibility to assist affected users to do a WinDbg session?
Comment 9 Julien Nabet 2012-06-17 01:25:36 UTC
Did you try the raw method ? (it(s very "naive" but sometimes useful)
- uninstall LO
- remove LO profile
- clean Windows registry with a free tool like ccleaner
- install LO again

another question too : are there several Java JRE/SDK installed on the machines ? If yes, could you give them ?
Comment 10 Julien Nabet 2012-06-17 01:54:32 UTC
Just for information there's a great video which explain how to retrieve an useful bt (= backtrace) on Windows : http://www.youtube.com/watch?v=fppBTs215yc
Comment 11 bfoman (inactive) 2012-06-17 04:56:41 UTC
(In reply to comment #8)
> @bfoman
> Do you see a possibility to assist affected users to do a WinDbg session?
(In reply to comment #10)
> Just for information there's a great video which explain how to retrieve an
> useful bt (= backtrace) on Windows : http://www.youtube.com/watch?v=fppBTs215yc

Watch the screencast and read a text version of it: 
https://wiki.documentfoundation.org/How_to_get_a_backtrace_with_WinDbg
Comment 12 Chris Brooker 2012-06-19 15:02:23 UTC
(In reply to comment #9)
> Did you try the raw method ? (it(s very "naive" but sometimes useful)
> - uninstall LO
> - remove LO profile
> - clean Windows registry with a free tool like ccleaner
> - install LO again
> 
> another question too : are there several Java JRE/SDK installed on the machines
> ? If yes, could you give them ?

I used Revo uninstaller to remove LO and deleted the LOdev profile folder before reinstalling. I had Java 7 update 5 and Java 6 current version (36?) 32 and 64 bit versions installed. I uninstalled them all and checked the registry for any obvious Java related entries before trying LO again.
Comment 13 Chris Brooker 2012-06-20 14:20:22 UTC
(In reply to comment #9)
> Did you try the raw method ? (it(s very "naive" but sometimes useful)
> - uninstall LO
> - remove LO profile
> - clean Windows registry with a free tool like ccleaner
> - install LO again
> 
> another question too : are there several Java JRE/SDK installed on the machines
> ? If yes, could you give them ?

I used Revo uninstaller to remove LO and deleted the LOdev profile folder before reinstalling. I had Java 7 update 5 and Java 6 current version (36?) 32 and 64 bit versions installed. I uninstalled them all and checked the registry for any obvious Java related entries before trying LO again.
Comment 14 Julien Nabet 2012-06-20 14:44:38 UTC
Could you try to use a free cleaning registry tool like ccleaner to see if there are errors and fix them if any ?
Comment 15 Chris Brooker 2012-06-20 14:53:57 UTC
I have installed Windows Debugging Tools. I'm no programmer so I just used the LO 3.6 Beta 1 build. Anyway output from windbg.exe below hopefully it's useful to someone.


FAULTING_IP: 
KERNELBASE!RaiseException+58
74ffb9bc c9              leave

EXCEPTION_RECORD:  ffffffffffffffff -- (.exr 0xffffffffffffffff)
ExceptionAddress: 0000000074ffb9bc (KERNELBASE!RaiseException+0x0000000000000058)
   ExceptionCode: e06d7363 (C++ EH exception)
  ExceptionFlags: 00000001
NumberParameters: 3
   Parameter[0]: 0000000019930520
   Parameter[1]: 0000000000d3eef0
   Parameter[2]: 000000006a58c48c
unable to find C-Runtime symbols, even with unqualified search

FAULTING_THREAD:  0000000000000434

DEFAULT_BUCKET_ID:  WRONG_SYMBOLS

PROCESS_NAME:  soffice.bin

ADDITIONAL_DEBUG_TEXT:  
Use '!findthebuild' command to search for the target build information.
If the build information is available, run '!findthebuild -s ; .reload' to set symbol path and load symbols.

MODULE_NAME: MSVCR90

FAULTING_MODULE: 00000000775a0000 ntdll

DEBUG_FLR_IMAGE_TIMESTAMP:  4dace5b9

ERROR_CODE: (NTSTATUS) 0xe06d7363 - <Unable to get error code text>

EXCEPTION_CODE: (NTSTATUS) 0xe06d7363 - <Unable to get error code text>

EXCEPTION_PARAMETER1:  0000000019930520

EXCEPTION_PARAMETER2:  0000000000d3eef0

EXCEPTION_PARAMETER3:  000000006a58c48c

MOD_LIST: <ANALYSIS/>

PRIMARY_PROBLEM_CLASS:  WRONG_SYMBOLS

BUGCHECK_STR:  APPLICATION_FAULT_WRONG_SYMBOLS_ZEROED_STACK

LAST_CONTROL_TRANSFER:  from 000000007491df60 to 0000000074ffb9bc

STACK_TEXT:  
WARNING: Stack unwind information not available. Following frames may be wrong.
00d3e7b8 7491df60 e06d7363 00000001 00000003 KERNELBASE!RaiseException+0x58
00d3e7f0 6a5332d3 00d3eef0 6a58c48c 7491dfb7 MSVCR90!CxxThrowException+0x48
00d3ef38 6a533b7d 6b272678 00d3ef00 063bbcdc cppuhelper3MSC!cppu::OComponentHelper::getTypes+0x12dd4
00d3ef88 6a534815 00d3efb0 00000000 7669272f cppuhelper3MSC!cppu::OComponentHelper::getTypes+0x1367e
00d3efdc 6a52405d 00e3f65c 00d3f1d8 00d3f1ec cppuhelper3MSC!cppu::OComponentHelper::getTypes+0x14316
00d3f014 5dd71807 00e3f658 00d3f1d8 00d3f1ec cppuhelper3MSC!cppu::OComponentHelper::getTypes+0x3b5e
00d3f220 5dd77018 00d3f620 cca112c7 00d3f600 cuilo!GetSpecialCharsForEdit+0x4d3b8
00d3f264 5dd210e2 00000000 00d3f620 00d3f601 cuilo!GetSpecialCharsForEdit+0x52bc9
00d3f298 62f5c6c6 00000000 00d3f620 00007b8e cuilo!CreateDialogFactory+0x2ad6
00d3f618 62f5154c 062cc02c 00d3f674 62fabcf0 sfxlo!SfxApplication::OfaExec_Impl+0xa4b
00d3f624 62fabcf0 059a6f50 00d3f7f4 7669208d sfxlo!SfxInterface::operator[]+0x1a3
00d3f674 62fabf16 059a6f50 6322eaf8 00d3f7f4 sfxlo!SfxDispatcher::Call_Impl+0x276
00d3f6a8 62fa475c 059a6f50 6322eaf8 00d3f7f4 sfxlo!SfxDispatcher::_Execute+0x51
00d3f700 62fb8f0d 00d3f7f4 6322eaf8 059a6f50 sfxlo!SfxBindings::Execute_Impl+0x2a8
00d3f834 62fb9385 059beaf0 00d3f89c 00d3f8f4 sfxlo!SfxShell::SetUndoManager+0x5b26
00d3f878 62496471 00000000 00d3f89c 00d3f8f4 sfxlo!SfxShell::SetUndoManager+0x5f9e
00d3f904 624974a9 05b79148 00d3f920 69d23720 fwklo!fwk_component_getFactory+0x67146
00d3f910 69d23720 0661b550 05b79148 00d3f950 fwklo!fwk_component_getFactory+0x6817e
00d3f920 628ce54f 05b79148 76692fdd 62a9f5c8 tllo!Link::Call+0x11
00d3f950 628cb2db 628cd495 00000000 00d3f970 vcllo!Menu::Select+0x4b
00d3f960 69d23720 05b79148 00000000 00d3f9d4 vcllo!Menu::ImplCallSelect+0x9
00d3f970 6291bb49 00000000 6291cc40 62a9f5c8 tllo!Link::Call+0x11
00d3f9d4 6293ff80 0595dc18 0595deb8 00000016 vcllo!Window::LinkStubImplAsyncFocusHdl+0x3e6
00d3f9ec 62942cc1 00000016 059beb20 00d3fa3c vcllo!WorkWindow::StartPresentationMode+0x22ad1
00d3f9fc 629490b2 005b0750 059beb20 00000000 vcllo!WorkWindow::StartPresentationMode+0x25812
00d3fa3c 6294924d 005b0750 00000482 00000000 vcllo!WorkWindow::StartPresentationMode+0x2bc03
00d3fa88 769d62fa 005b0750 00000482 00000000 vcllo!WorkWindow::StartPresentationMode+0x2bd9e
00d3fab4 769d6d3a 6294921d 005b0750 00000482 USER32!gapfnScSendMessage+0x332
00d3fb2c 769d77c4 00000000 6294921d 005b0750 USER32!GetThreadDesktop+0xd7
00d3fb8c 769d788a 6294921d 00000000 00d3fba8 USER32!CharPrevW+0x138
00d3fb9c 629214d6 00d3fbd0 00d3fbb8 62924e5f USER32!DispatchMessageW+0xf
00d3fba8 62924e5f 00d3fbd0 769d7809 00d3fbf0 vcllo!WorkWindow::StartPresentationMode+0x4027
00d3fbb8 62924ec9 00d3fbd0 00000001 0109a1f0 vcllo!WorkWindow::StartPresentationMode+0x79b0
00d3fbf0 62924fb4 00d3fc01 00000000 62a9f660 vcllo!WorkWindow::StartPresentationMode+0x7a1a
00d3fc18 62742edf 00d3fc01 00000000 62a9f5c8 vcllo!WorkWindow::StartPresentationMode+0x7b05
00d3fc30 62742f45 00000001 00000000 00d3fd88 vcllo!Application::Abort+0xdf
00d3fc40 627443b2 00000000 05997e80 00d3fde0 vcllo!Application::Yield+0xd
00d3fd88 6274a8e7 76692b31 012b337c 010d39ff vcllo!Application::Execute+0x1e
00d3fdbc 6274a97c 00d86120 00d3fe28 6aaa318c vcllo!DeInitVCL+0x43e
00d3fdc8 6aaa318c 76692821 012b337c 010d39ff vcllo!SVMain+0x1c
00d3fe28 012b101d 010d39ff 00d3fed0 012b103f sofficeapp!soffice_main+0x83
00d3fe34 012b103f 00000002 010988c0 012b11e8 soffice+0x101d
00d3fed0 76b0339a 7efde000 00d3ff1c 777b9ef2 soffice+0x103f
00d3fedc 777b9ef2 7efde000 5e7743e1 00000000 KERNEL32!BaseThreadInitThunk+0x12
00d3ff1c 777b9ec5 012b13c7 7efde000 00000000 ntdll_77780000!RtlInitializeExceptionChain+0x63
00d3ff34 00000000 012b13c7 7efde000 00000000 ntdll_77780000!RtlInitializeExceptionChain+0x36


FOLLOWUP_IP: 
MSVCR90!CxxThrowException+48
7491df60 c9              leave

SYMBOL_STACK_INDEX:  1

SYMBOL_NAME:  msvcr90!CxxThrowException+48

FOLLOWUP_NAME:  MachineOwner

IMAGE_NAME:  MSVCR90.dll

STACK_COMMAND:  ~0s ; kb

BUCKET_ID:  WRONG_SYMBOLS

FAILURE_BUCKET_ID:  WRONG_SYMBOLS_e06d7363_MSVCR90.dll!CxxThrowException

WATSON_STAGEONE_URL:  http://watson.microsoft.com/StageOne/soffice_bin/3_6_0_11/4fd1050d/KERNELBASE_dll/6_1_7601_17651/4e211319/e06d7363/0000b9bc.htm?Retriage=1

Followup: MachineOwner
---------
Comment 16 vitriol 2012-06-20 23:34:43 UTC
I confirm the immediate crash in version 3.6.0.0.beta2 (Build ID: f010139). Deleting folder LOdev in the profile has no effect, crash still happens.
I don't know if for beta 2 is a new and different bug...
Comment 17 vitriol 2012-06-21 02:03:29 UTC
OK, my case is Bug 51143. Is this related?
Comment 18 Chris Brooker 2012-06-21 14:31:33 UTC
(In reply to comment #17)
> OK, my case is Bug 51143. Is this related?

I can confirm that after adding the Online Update component I can now get to Tools|Options without LO crashing.
Comment 19 Stefan Knorr (astron) 2012-06-22 11:01:27 UTC
Closing as Dupe, as vitriol suggested and Chris confirmed.

*** This bug has been marked as a duplicate of bug 51143 ***